From 8eb3dcef466c74d8dfb42e74d8f8f8b624f1bb0b Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Sep 01 2020 20:02:08 +0000
Subject: [PATCH 788/2232] Remove version number from cmd help test


---

diff --git a/gen/cmd/src/test.rs b/gen/cmd/src/test.rs
index cecb292..f119189 100644
--- a/gen/cmd/src/test.rs
+++ b/gen/cmd/src/test.rs
@@ -1,5 +1,5 @@
 const EXPECTED: &str = "\
-cxxbridge 0.3.7
+cxxbridge $VERSION
 David Tolnay <dtolnay@gmail.com>
 https://github.com/dtolnay/cxx
 
@@ -41,5 +41,7 @@ fn test_help() {
     let mut out = Vec::new();
     app.write_long_help(&mut out).unwrap();
     let help = String::from_utf8(out).unwrap();
-    assert_eq!(help, EXPECTED);
+    let version = option_env!("CARGO_PKG_VERSION").unwrap_or_default();
+    let expected = EXPECTED.replace("$VERSION", version);
+    assert_eq!(help, expected);
 }

